Bug 2060929 (CVE-2022-0866) - CVE-2022-0866 wildfly: Wildfly management of EJB Session context returns wrong caller principal with Elytron Security enabled
Summary: CVE-2022-0866 wildfly: Wildfly management of EJB Session context returns wron...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-0866
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2051641
TreeView+ depends on / blocked
 
Reported: 2022-03-04 15:30 UTC by Patrick Del Bello
Modified: 2022-06-27 19:27 UTC (History)
87 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
A flaw was found in Wildfly, where it returns an incorrect caller principal under certain heavily concurrent situations when Elytron Security is used. This flaw allows an attacker to gain improper access to information they should not have.
Clone Of:
Environment:
Last Closed: 2022-06-06 19:50:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:4918 0 None None None 2022-06-06 15:52:32 UTC
Red Hat Product Errata RHSA-2022:4919 0 None None None 2022-06-06 15:58:57 UTC
Red Hat Product Errata RHSA-2022:4922 0 None None None 2022-06-06 15:12:18 UTC

Description Patrick Del Bello 2022-03-04 15:30:21 UTC
This is a concurrency issue that can result in the wrong caller principal being returned from the session context of an EJB that is configured with a RunAs principal. In particular, the org.jboss.as.ejb3.component.EJBComponent class has an incomingRunAsIdentity field. This field is used by the org.jboss.as.ejb3.security.RunAsPrincipalInterceptor to keep track of the current identity prior to switching to a new identity created using the
RunAs principal. The exploit consist that the EJBComponent#incomingRunAsIdentity field is currently just a SecurityIdentity. This means that in a concurrent environment, where multiple users are repeatedly invoking an EJB that is configured with a RunAs principal, it's possible for the wrong the caller principal to be returned from EJBComponent#getCallerPrincipal. Similarly, it's also possible for EJBComponent#isCallerInRole to return the wrong value. Both of these methods rely on incomingRunAsIdentity.

Comment 3 errata-xmlrpc 2022-06-06 15:12:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2022:4922 https://access.redhat.com/errata/RHSA-2022:4922

Comment 4 errata-xmlrpc 2022-06-06 15:52:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2022:4918 https://access.redhat.com/errata/RHSA-2022:4918

Comment 5 errata-xmlrpc 2022-06-06 15:58:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2022:4919 https://access.redhat.com/errata/RHSA-2022:4919

Comment 6 Product Security DevOps Team 2022-06-06 19:50:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0866


Note You need to log in before you can comment on or make changes to this bug.